---
title: "Pandoc + MarkDown Demo: Filters"
...


# Generating the Slides

```
pandoc -t beamer --lua-filter filter.lua -M mymode=slides 04-filters.md -o tmp.slides.pdf
```


# Generating the Handout

```
pandoc --lua-filter filter.lua -M mymode=handout 04-filters.md -o tmp.handout.pdf
```


# Main Content

First paragraph.

::: {.notinslide}
should not appear if compiled in slides mode
:::

Middle paragraph.

::: {.notinhandout}
should not appear if compiled in handout mode
:::

Last paragraph.
