---
title: "Pandoc + MarkDown Demo: Bibliography"
papersize: a4
colorlinks: linkcolor
bibliography: biblio.bib
csl: ../csl/acm.csl
link-citations: true
reference-section-title: Biblioooooooography
---


# Introduction

The books [@Knu97:taocp-vol1;@Knu97:taocp-vol2] present...


# Invocation

## Minimal

Without anything in the header.

```
pandoc --bibliography biblio.bib --citeproc 02-bibliography.md -o tmp.pdf
```

## Using a CSL Style

Fields in the header: `bibliography` and `csl`

```
pandoc --citeproc 02-bibliography.md -o tmp.pdf
```


